package be.iminds.ilabt.jfed.lowlevel;

import be.iminds.ilabt.jfed.lowlevel.connection.ConnectionConfig;
import be.iminds.ilabt.jfed.lowlevel.connection.JFedConnection;
import org.apache.http.StatusLine;

import java.util.Date;

/**
 * XMLRPCCallDetails
 */
public interface HttpCallDetails {
    public String getServerUrl();

    public String getRequestHttpRequestLine();

    public String getRequestHttpHeaders();

    public String getRequestHttpContent();

    public int getResultHttpStatusCode();

    public String getResultHttpStatusReasonPhrase();

    public String getResultHttpStatusLine();

    public StatusLine getResultHttpStatusLineObject();

    public String getResultHttpHeaders();

    public String getResultHttpContent();

    public Date getStartTime();

    public Date getStopTime();

    public Throwable getException();

    public JFedConnection getLastConnection();

    public ConnectionConfig getConnectionConfig();
}
